# Class RunTestExecutable

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.api.tasks.AbstractExecTask<RunTestExecutable>
org.gradle.nativeplatform.test.tasks.RunTestExecutable

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, BaseExecSpec, ExecSpec, ProcessForkOptions, org.gradle.util.Configurable<Task>`

@Incubating public class RunTestExecutable extends AbstractExecTask<RunTestExecutable>
Runs a compiled and installed test executable.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Task

`Task.Namer`

## Field Summary

### Fields inherited from interface Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`RunTestExecutable()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`exec()`
`boolean`
`getIgnoreFailures()`
`File`
`getOutputDir()`
`boolean`
`isIgnoreFailures()`
`void`
`setIgnoreFailures(boolean ignoreFailures)`
`void`
`setOutputDir(File outputDir)`

### Methods inherited from class AbstractExecTask

`args, args, commandLine, commandLine, copyTo, environment, environment, executable, getArgs, getCommandLine, getEnvironment, getErrorOutput, getExecActionFactory, getExecResult, getExecutable, getStandardInput, getStandardOutput, getWorkingDir, isIgnoreExitValue, setArgs, setArgs, setCommandLine, setCommandLine, setCommandLine, setEnvironment, setErrorOutput, setExecutable, setExecutable, setIgnoreExitValue, setStandardInput, setStandardOutput, setWorkingDir, setWorkingDir, workingDir`

### Methods inherited from class org.gradle.api.internal.ConventionTask

`conventionMapping, conventionMapping, getConventionMapping`

### Methods inherited from class DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RunTestExecutable

public RunTestExecutable()

## Method Details

### exec

protected void exec()

Overrides:
  `exec` in class `AbstractExecTask<RunTestExecutable>`

### getOutputDir

@Internal public File getOutputDir()

### setOutputDir

public void setOutputDir(File outputDir)

### getIgnoreFailures

@Input public boolean getIgnoreFailures()

### isIgnoreFailures

public boolean isIgnoreFailures()

### setIgnoreFailures

public void setIgnoreFailures(boolean ignoreFailures)